What are the Elite Keylogger for Mac system requirements? [Mac]

Elite Keylogger for Mac requires Mac OS 10.6.8 (Snow Leopard) or higher and a 64-bit processor. If you’re unsure if your Mac has 64-bit processor, see this Apple support article. Elite Keylogger installation also requires that you know the Mac’s administrator password.